Copyright: written 1998 by Alexander Mehlhorn (AHM)
Citation: written 1998 by Alexander Mehlhorn (AHM)


Installing the AHM Freeware Components

See also

Complete Overview

Delphi 2

1. Start Delphi.

2. Select 'Install Components ...' from the Components menu.

3. Choose Add to open the Add Module dialog box. In the Add Module dialog box, choose Browse.

4. Change the type to *.dcu

5. Select the directory which contains the AHM Triton Tools and then add the following file :

           AHM Freeware  - AHMRegFree.dcu

6. Choose OK to close the 'Install Components' dialog box and rebuild the library.

C++ Builder 1.0

1. Start C++Builder.

2. Select 'Install Components ...' from the Components menu.

3. Choose Add to open the Add Module dialog box. In the Add Module dialog box, choose Browse.

4. Change the type to *.dcu

5. Select the directory which contains the AHM Triton Tools and then add the following file :

                AHM Freeware  - AHMRegFree.dcu

6. Choose OK to close the 'Install Components' dialog box and rebuild the library.

Delphi 3

Open the "Install packages..."-dialog.

Press ADD to add the following packages

   	        AHM Freeware  - Freeware30.dpl

Important:

Furthermore you have to add the full path (e.g. C:\AHM\Delphi3) of the AHM Triton Tools DCU files to the Delphi's library path (Library Page/Environment Options in the Tools Menu).

Alternatively the Path could be added to the system path settings.

How to add the components into your own packages

You may use this alternative to create your own package if you have problems to

install the default packages:

1. Start Delphi 3.

2. Select 'Install Component ...' from the Component- menu.

3. Decide wether you want to create a new package or use an existing by clicking on  the corresponding tab. If you select first alternative you have to specify a  name for the new package.

4. Change the type to '*.dcu'

5. Choose Browse to open the File Open dialog box. Select the directory which contains the AHM Triton Tools and then add the following files :

          	 AHM Freeware  - AHMRegFree.dcu

6. Choose OK to close the browse dialog box and then recompile the package

C++Builder 3.0

Open the "Install packages..."-dialog.

Press ADD to add the following packages

     AHM Freeware  - AHMRegFreeC30.bpl

Important:

Furthermore you have to add the full path (e.g. C:\AHM\CB3) of the AHM Triton Tools DCU files

to the Delphi's library path (Library Page/Environment Options in the Tools Menu).

Alternatively the Path could be added to the system path settings.

How to add the components into your own packages

You may use this alternative to create your own package if you have problems to install the default packages:

1. Start C++Builder 3.0

2. Select 'Install Component ...' from the Component- menu.

3. Decide wether you want to create a new package or use an existing by clicking on  the corresponding tab. If you select first alternative you have to specify a name for the new package.

4. Change the type to '*.dcu'

5. Choose Browse to open the File Open dialog box. Select the directory which contains the AHM Triton Tools and then add the following files :

         	  AHM Freeware  - AHMRegFree.dcu

6. Choose OK to close the browse dialog box and then recompile the package

Delphi 4

Open the "Install packages..."-dialog.

Press ADD to add the following packages

  AHM Freeware  - Freeware40.bpl

Important:

Please ensure that the path has been added to you library path.

How to add the components into your own packages

You may use this alternative to create your own package if you have problems to install the default packages:

1. Start Delphi 4.

2. Select 'Install Component ...' from the Component- menu.

3. Decide wether you want to create a new package or use an existing by clicking on the corresponding tab. If you select first alternative you have to specify a name for the new package.

4. Change the type to '*.dcu'

5. Choose Browse to open the File Open dialog box. Select the directory which contains the AHM Triton Tools and then add the following files :

        	  AHM Freeware  - AHMRegFree.dcu

6. Choose OK to close the browse dialog box and then recompile the package

Installing the Helpfile

-	Copy all Files in the AHM Freeware Help Directory into the Delphi Help Directory

-	Edit the following Files from the Delphi Help Directory

-	Open Delphi3.cfg/Delphi4.cfg in a Texteditor

-	Add the following Lines as under Third Party Help

   :Link AHMFreeware.hlp

-	Open Delphi3.cnt/Delphi4.cnt

-	Add the following line as the third line in the file

   :Index AHM Freeware Triton 98 =AHMFreeware.hlp

-	Add the following line as the last line in the file

   :Include AHMFreeware.cnt


Registering the AHM Freeware Components
Registering the AHM Freeware Components.

See also

Complete Overview

The AHM Freeware components are free. In fact they are so free they even come with Source. To obtain the source you will have to let me know about the fact that you using them. All you have to do for that is to sign my Guestbook at  http://www.ahm.co.za

Make sure you enter your e-mail correctly and the automatic reply will send you a link to my Freeware Package within a couple of minutes. All you have to do is to enter that address in the Internet Explorer and you are on your way to download the Freeware Components.

If you modify them or fix them up or whatever you do with them is up to you. All you have to do for it is sign my guestbook in order to receive them. I just want to know about you guys out there. I will not use the Guestbook for any spamming. In fact the guestbook stays where it is and does not even get touched by me. So you don’t have to worry about receiving unwanted update information of any kind. This is just for me to see what you guys do and who you are.


About AHM and his Software

See also

Complete Overview

Well what am I supposed to tell you about me ? That I am under full time employment at Levi Strauss and this is only my part time hobby/job ? That I have been developing Delphi Software since right of the beginning of Delphi's first release ? That the AHM Triton Tools are also developed by me ? No, lets not go into that Detail. I think you know that all and I think all I should say is the following :

Come visit my Homepage and get some of the other great tools for the best development evironment around - Delphi !

Alexander Mehlhorn (AHM)
Developer of the AHM Add-Ons for Delphi and C++ Builder
Contact me at :
URL : South Africa : http://www.ahm.co.za

URL : Germany : http://www.webset.de/software/ahm
Mail : support@ahm.co.za

Phone : +27837616139
You are welcome to contact me in regards to any questions, ideas or problems you might have.


Complete Overview
AHM Freeware Components Triton 98

Complete Overview over all Declarations contained in the all units and all Information related to the AHM Freeware Components Triton 98
Installing the components and configuring the context-sensitive Help

About the Author and whatever else

Register Information on Freeware Components ?

Overview of all Units used

Overview of all Classes and Components defined

Overview of all Types, Records and Events defined


Units Overview

See also

Complete Overview

Description

All units used

Units

AHMFreeware Unit

AHMTAboutDialog Unit

AHMTBevel Unit

AHMTClock Unit

AHMTDice Unit

AHMTDigital Unit

AHMTFadingLabel Unit

AHMTImage3D Unit

AHMTLeds Unit

AHMTLogWindow Unit

AHMTMenuItemGlyph Unit

AHMTOwnerShip Unit

AHMTQuickInfo Unit

AHMTRTFFile Unit

AHMTSpeakerSound Unit

AHMTWinDBListBox Unit

AHMTWinListbox Unit

AHMTWinStringGrid Unit


Classes and Components Overview

See also

Complete Overview

Description

Complete Listing of all Classes and Components

Classes and Components

TAHMAboutDialog

TAHMBevel

TAHMClock

TAHMDice

TAHMDigital

TAHMFadingLabel

TAHMImage

TAHMLed

TAHMLogWindow

TAHMMenuItemGlyph

TAHMOwnership

TAHMQuickInfo

TAHMRTFFile

TAHMSpeakerSound

TAHMWinDBListBox

TAHMWinListbox

TAHMWinStringGrid


Types, Records and Events Overview
Types, Variables and Constants Overview

See also

Complete Overview

Description

Complete Listing of all Types, Records and Events

Types, Records and Events

TAHMDateTime Type


AHMFreeware Unit

See also

Units Overview

Maintaince the core functions of the Freeware components.


AHMTAboutDialog Unit

USES

SysUtils,  Windows,  Messages,  Classes,  Controls, Graphics, Forms,  ExtCtrls,  StdCtrls,  Buttons,  AHMFreeware

See also

Units Overview

Classes & Components

  TAHMAboutDialog


AHMTBevel Unit

USES

 Windows,  Classes,  Graphics,  ExtCtrls, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMBevel


AHMTClock Unit

USES

SysUtils,  Windows,  Controls, Dialogs, AHMFreeware, StdCtrls,  Classes,  Graphics,  Menus, Extctrls

See also

Units Overview

Type, Records and Event Declarations

  TAHMDateTime

Classes & Components

  TAHMClock


AHMTDice Unit

USES

 Windows,  Messages,  SysUtils,  Classes, Controls, Graphics, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMDice


AHMTDigital Unit

USES

Windows,  Messages,  SysUtils,  Classes,  Controls, Graphics, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMDigital


AHMTFadingLabel Unit

USES

SysUtils,  Windows,  Controls, Dialogs, Forms, AHMFreeware, ExtCtrls,  Classes,  Graphics,  Menus, StdCtrls

See also

Units Overview

Classes & Components

  TAHMFadingLabel


AHMTImage3D Unit

USES

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls, ExtCtrls, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMImage


AHMTLeds Unit

USES

Windows,  Messages,  SysUtils,  Classes,  Controls, Graphics, Extctrls, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMLed


AHMTLogWindow Unit

USES

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, ExtCtrls,  ComCtrls,  StdCtrls,  Menus, Printers, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMLogWindow


AHMTMenuItemGlyph Unit

USES

 Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, Menus, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMMenuItemGlyph


AHMTOwnerShip Unit

USES

Windows, Classes, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMOwnership


AHMTQuickInfo Unit

USES

SysUtils,  Windows,  Messages,  Classes,  Graphics,  Controls, Forms,  Dialogs,  StdCtrls,  Buttons,  ExtCtrls,  ComCtrls, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMQuickInfo


AHMTRTFFile Unit

USES

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMRTFFile


AHMTSpeakerSound Unit

USES

Classes,  Windows,  Forms,  AHMFreeware

See also

Units Overview

Classes & Components

  TAHMSpeakerSound


AHMTWinDBListBox Unit

USES

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, DBCtrls, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMWinDBListBox


AHMTWinListbox Unit

USES

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, StdCtrls, Extctrls, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMWinListbox


AHMTWinStringGrid Unit

USES

 Windows,  Messages,  SysUtils,  Classes, Extctrls, Controls, Grids, AHMFreeware

See also

Units Overview

Classes & Components

  TAHMWinStringGrid


Properties & Events

  VersionDescription

  ActualInformation

  SystemInformation

  Fonts


Methods

Execute


TAHMAboutDialog Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMAboutDialog Component

Properties&Events	Methods	Example

UNIT

AHMTAboutDialog

See also

Classes & Components Overview

Declaration

TAHMAboutDialog = Class(TComponent)

Description

Component that displays an about dialog for your applications.


Execute Function

UNIT

AHMTAboutDialog

Declaration

Function Execute : Boolean;

Description :

Displays the about dialog in runtime.


VersionDescription Property

UNIT

AHMTAboutDialog

See also

Types, Records and Events Overview

Declaration

Property VersionDescription : String

Used in

TAHMAboutDialog

Description

Version Information of your application.


ActualInformation Property

UNIT

AHMTAboutDialog

See also

Types, Records and Events Overview

Declaration

Property ActualInformation : TStrings

Used in

TAHMAboutDialog

Description

Provide information about your product here, relevant feedbacks etc.


SystemInformation Property

UNIT

AHMTAboutDialog

See also

Types, Records and Events Overview

Declaration

Property SystemInformation : TStrings

Used in

TAHMAboutDialog

Description

Supply Information here that is system specific. Enter the current user logged in, last attempt to log on, last modifications. All Information entered here can be viewed by the user of your application and should enable him/her to get more feedback about the current details of the application.


Fonts Property

UNIT

AHMTAboutDialog

See also

Types, Records and Events Overview

Declaration

Property Fonts : TFont

Used in

TAHMAboutDialog

Description

Fonts to be used all around the dialog.


Properties & Events

  Highlight

  Shadow


TAHMBevel Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMBevel Component

Properties&Events	Example

UNIT

AHMTBevel

See also

Classes & Components Overview

Declaration

TAHMBevel = Class(TBevel)

Description

Bevel component with the ability to change colors of the bevel.


Highlight Property

UNIT

AHMTBevel

See also

Types, Records and Events Overview

Declaration

Property Highlight : TColor

Used in

TAHMBevel

Description

Color to use as the highlight of the background.


Shadow Property

UNIT

AHMTBevel

See also

Types, Records and Events Overview

Declaration

Property Shadow : TColor

Used in

TAHMBevel

Description

Color to use as the shadow of the bevel.


TAHMDateTime Type

UNIT

AHMTClock

See also

Types, Records and Events Overview

Declaration

TAHMDateTime = (DtTime, DtDate);

Description

Indicates what type is set, Date or Time.


Properties & Events

  BackColor

  DialogFrame

  DisplayType

  DigitColor

  DigitShadowColor


TAHMClock Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMClock Component

Properties&Events	Example

UNIT

AHMTClock

See also

Classes & Components Overview

Declaration

TAHMClock = Class(TCustomPanel)

Description

Component that displays a digital clock on the form.


BackColor Property

UNIT

AHMTClock

See also

Types, Records and Events Overview

Declaration

Property BackColor : TColor

Used in

TAHMClock

Description

Specifies the color of the back of the clock.


DialogFrame Property

UNIT

AHMTClock

See also

Types, Records and Events Overview

Declaration

Property DialogFrame : Boolean

Used in

TAHMClock

Description

Specifies the clock to have a frame that is similar to Dialog windows.


DisplayType Property

UNIT

AHMTClock

See also

Types, Records and Events Overview

Declaration

Property DisplayType : TAHMDateTime

Used in

TAHMClock

Description

Indicates what to display on the clock.


DigitColor Property

UNIT

AHMTClock

See also

Types, Records and Events Overview

Declaration

Property DigitColor : TColor

Used in

TAHMClock

Description

Color of the digits that display the time and the date..


DigitShadowColor Property

UNIT

AHMTClock

See also

Types, Records and Events Overview

Declaration

Property DigitShadowColor : TColor

Used in

TAHMClock

Description

Color of the shadow of the digits.


Properties & Events

  NormalBackground

  HoldBackground

  Value

  Hold

  DotColor


Methods

Roll


TAHMDice Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMDice Component

Properties&Events	Methods	Example

UNIT

AHMTDice

See also

Classes & Components Overview

Declaration

TAHMDice = Class(TGraphicControl)

Description

Component that displays a dice on the screen.


Roll Procedure

UNIT

AHMTDice

Declaration

Procedure Roll;

Description :

Rolls the dice displaying a random face value except if hold is set to true.


NormalBackground Property

UNIT

AHMTDice

See also

Types, Records and Events Overview

Declaration

Property NormalBackground : TColor

Used in

TAHMDice

Description

Background when the Dice is displayed and can be rolled.


HoldBackground Property

UNIT

AHMTDice

See also

Types, Records and Events Overview

Declaration

Property HoldBackground : TColor

Used in

TAHMDice

Description

Property that will establish a link to the background component in order to draw the background configured onto the canvas of the dice when the background is on hold.


Value Property

UNIT

AHMTDice

See also

Types, Records and Events Overview

Declaration

Property Value : Integer

Used in

TAHMDice

Description

Set this property to set the dice to a specific value.


Hold Property

UNIT

AHMTDice

See also

Types, Records and Events Overview

Declaration

Property Hold : Boolean

Used in

TAHMDice

Description

If this property is set to true the dice will not change its face value even if the roll procedure is called.


DotColor Property

UNIT

AHMTDice

See also

Types, Records and Events Overview

Declaration

Property DotColor : TColor

Used in

TAHMDice

Description

Color of the dot on the dice.


Properties & Events

  Number

  DigitOnColor

  DigitShadow

  DigitBackground

  Border3D

  OnNewNumber


TAHMDigital Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMDigital Component

Properties&Events	Example

UNIT

AHMTDigital

See also

Classes & Components Overview

Declaration

TAHMDigital = Class(TGraphicControl)

Description

Displays a digital number on the screen. The height and width of the digits can not be altered.


Number Property

UNIT

AHMTDigital

See also

Types, Records and Events Overview

Declaration

Property Number : Integer

Used in

TAHMDigital

Description

Number to display.


DigitOnColor Property

UNIT

AHMTDigital

See also

Types, Records and Events Overview

Declaration

Property DigitOnColor : Tcolor

Used in

TAHMDigital

Description

Color of the digit.


DigitShadow Property

UNIT

AHMTDigital

See also

Types, Records and Events Overview

Declaration

Property DigitShadow : TColor

Used in

TAHMDigital

Description

Color of the shadow of the digit.


DigitBackground Property

UNIT

AHMTDigital

See also

Types, Records and Events Overview

Declaration

Property DigitBackground : TColor

Used in

TAHMDigital

Description

Color of the background of the control.


Border3D Property

UNIT

AHMTDigital

See also

Types, Records and Events Overview

Declaration

Property Border3D : Boolean

Used in

TAHMDigital

Description

If enabled displays a 3D border around the control.


OnNewNumber Property

UNIT

AHMTDigital

See also

Types, Records and Events Overview

Declaration

Property OnNewNumber : TNotifyevent

Used in

TAHMDigital

Description

Triggers when a new number is displayed.


Properties & Events

  Showing

  Fade

  BetweenColors

  FadeAlltheTime

  FadeSpeed

  OnNotVisible

  OnTotallyVisible


Methods

Execute


TAHMFadingLabel Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMFadingLabel Component

Properties&Events	Methods	Example

UNIT

AHMTFadingLabel

See also

Classes & Components Overview

Declaration

TAHMFadingLabel = Class(TCustomLabel)

Description

Label that fades in or/and out.


Execute Procedure

UNIT

AHMTFadingLabel

Declaration

Procedure Execute;

Description :

Starts to fade the label according to the settings.


Showing Property

UNIT

AHMTFadingLabel

See also

Types, Records and Events Overview

Declaration

Property Showing : Boolean

Used in

TAHMFadingLabel

Description

If this property is true then the label is currently showing.


Fade Property

UNIT

AHMTFadingLabel

See also

Types, Records and Events Overview

Declaration

Property Fade : Boolean

Used in

TAHMFadingLabel

Description

If set to true the label will fade.


BetweenColors Property

UNIT

AHMTFadingLabel

See also

Types, Records and Events Overview

Declaration

Property BetweenColors : Integer

Used in

TAHMFadingLabel

Description

Number of colors to fade through.


FadeAlltheTime Property

UNIT

AHMTFadingLabel

See also

Types, Records and Events Overview

Declaration

Property FadeAlltheTime : Boolean

Used in

TAHMFadingLabel

Description

If set to true the label will fade all the time.


FadeSpeed Property

UNIT

AHMTFadingLabel

See also

Types, Records and Events Overview

Declaration

Property FadeSpeed : Integer

Used in

TAHMFadingLabel

Description

Sets the speed of the fade.


OnNotVisible Property

UNIT

AHMTFadingLabel

See also

Types, Records and Events Overview

Declaration

Property OnNotVisible : TNotifyevent

Used in

TAHMFadingLabel

Description

OnNotVisible Event

Units

AHMTFadingLabel

See also

AHM Add-Ons for Delphi 3.0

Types, Records and Events Overview

Declaration

Property OnNotVisible : TNotifyevent

Used by

TAHMFadingLabel

Description

Triggers when the Label is not visible.


OnTotallyVisible Property

UNIT

AHMTFadingLabel

See also

Types, Records and Events Overview

Declaration

Property OnTotallyVisible : TNotifyevent

Used in

TAHMFadingLabel

Description

Triggers when the label is visible.


Properties & Events

Bitmout

  Picture

  Intensity

  Borderwidth

  Center

  Border3DIn


TAHMImage Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMImage Component

Properties&Events	Example

UNIT

AHMTImage3D

See also

Classes & Components Overview

Declaration

TAHMImage = Class(TGraphiccontrol)

Description

Component that will create a threedimensional border around the bitmap of the image using the bitmap itself. It will render the border from the image.


Bitmout Property

UNIT

AHMTImage3D

See also

Types, Records and Events Overview

Declaration

Property Bitmout : TBitmap

Used in

TAHMImage

Description

Property that holds the Bitmap displayed. Do not use this property to load your image.


Picture Property

UNIT

AHMTImage3D

See also

Types, Records and Events Overview

Declaration

Property Picture : TBitmap

Used in

TAHMImage

Description

Property that holds the Picture to be rendered.


Intensity Property

UNIT

AHMTImage3D

See also

Types, Records and Events Overview

Declaration

Property Intensity : Integer

Used in

TAHMImage

Description

Intensity of the Border. The higher the Number the higher the contrast.


Borderwidth Property

UNIT

AHMTImage3D

See also

Types, Records and Events Overview

Declaration

Property Borderwidth : Integer

Used in

TAHMImage

Description

Width of the border.


Center Property

UNIT

AHMTImage3D

See also

Types, Records and Events Overview

Declaration

Property Center : Boolean

Used in

TAHMImage

Description

If set to true the Bitmap will be displayed in the center of the image.


Border3DIn Property

UNIT

AHMTImage3D

See also

Types, Records and Events Overview

Declaration

Property Border3DIn : Boolean

Used in

TAHMImage

Description

If set to true the Border will display pressed in.


Properties & Events

  LedisOn

  LedOnColor

  LedOffColor

  LedShadow

  Interval

  Blinking


Methods

LedOn

LedOff

Blink


TAHMLed Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMLed Component

Properties&Events	Methods	Example

UNIT

AHMTLeds

See also

Classes & Components Overview

Declaration

TAHMLed = Class(TGraphicControl)

Description:

A component that displays a LED.


LedOn Procedure

UNIT

AHMTLeds

Declaration

Procedure LedOn;

Description :

Turns the LED on.


LedOff Procedure

UNIT

AHMTLeds

Declaration

Procedure LedOff;

Description :

Turns the LED off.


Blink Procedure

UNIT

AHMTLeds

Declaration

Procedure Blink;

Description :

Starts blinking.


LedisOn Property

UNIT

AHMTLeds

See also

Types, Records and Events Overview

Declaration

Property LedisOn : Boolean

Used in

TAHMLed

Description

Returns true if the LED is turned on. When setting this property it changes the active state of the LED.


LedOnColor Property

UNIT

AHMTLeds

See also

Types, Records and Events Overview

Declaration

Property LedOnColor : Tcolor

Used in

TAHMLed

Description

Color to use when the LED is switched on.


LedOffColor Property

UNIT

AHMTLeds

See also

Types, Records and Events Overview

Declaration

Property LedOffColor : TColor

Used in

TAHMLed

Description

Color to use when the LED is switched off.


LedShadow Property

UNIT

AHMTLeds

See also

Types, Records and Events Overview

Declaration

Property LedShadow : TColor

Used in

TAHMLed

Description

Color of the shadow on the LED.


Interval Property

UNIT

AHMTLeds

See also

Types, Records and Events Overview

Declaration

Property Interval : Integer

Used in

TAHMLed

Description

Interval in which to blink.


Blinking Property

UNIT

AHMTLeds

See also

Types, Records and Events Overview

Declaration

Property Blinking : Boolean

Used in

TAHMLed

Description

If set to true the LED starts blinking.


Properties & Events

  LogWindowCaption

  LogWindowColor

  LogWindowFonts

  FileMenu

  OpenFilename

  OpenFileOnExecute

  OnExecute

  OnExit

  OnSaveFile

  Windowstate

  WindowPosition

  BorderIcons

  WindowWidth

  WindowHeight

  Readonly

  LogWindowIcon


Methods

Execute

Log

Clear


TAHMLogWindow Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMLogWindow Component

Properties&Events	Methods	Example

UNIT

AHMTLogWindow

See also

Classes & Components Overview

Declaration

TAHMLogWindow = Class(TComponent)

Description

Window that displays certain information which is being logged.


Execute Function

UNIT

AHMTLogWindow

Declaration

Function Execute : Boolean;

Description :

Calls the window up on the screen.


Log Procedure

UNIT

AHMTLogWindow

Declaration

Procedure Log(Value : String);

Description :

Logs another string to the Logwindow.


Clear Procedure

UNIT

AHMTLogWindow

Declaration

Procedure Clear;

Description :

Clears the Logwindow.


LogWindowCaption Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property LogWindowCaption : String

Used in

TAHMLogWindow

Description

Caption of the Logwindow.


LogWindowColor Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property LogWindowColor : TColor

Used in

TAHMLogWindow

Description

Color of the Logwindow.


LogWindowFonts Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property LogWindowFonts : TFont

Used in

TAHMLogWindow

Description

Font of the Logwindow.


FileMenu Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property FileMenu : Boolean

Used in

TAHMLogWindow

Description

Font of the Logwindow.


OpenFilename Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property OpenFilename : String

Used in

TAHMLogWindow

Description

Font of the Logwindow.


OpenFileOnExecute Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property OpenFileOnExecute : Boolean

Used in

TAHMLogWindow

Description

If set to true the File associated will be opened.


OnExecute Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property OnExecute : Tnotifyevent

Used in

TAHMLogWindow

Description

Triggers when the window gets called. Use this event to do any nessecary initializations.


OnExit Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property OnExit : TNotifyevent

Used in

TAHMLogWindow

Description

Triggers when the window gets called. Use this event to do any nessecary initializations.


OnSaveFile Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property OnSaveFile : TNotifyevent

Used in

TAHMLogWindow

Description

Triggers when the File is saved.


Windowstate Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property Windowstate : TWindowstate

Used in

TAHMLogWindow

Description

State of the window when it is first opened.


WindowPosition Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property WindowPosition : TPosition

Used in

TAHMLogWindow

Description

Position of the Window on the screen when it is opened.


BorderIcons Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property BorderIcons : TBorderIcons

Used in

TAHMLogWindow

Description

Icons to be displayed on the Window.


WindowWidth Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property WindowWidth : Integer

Used in

TAHMLogWindow

Description

Width of the window.


WindowHeight Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property WindowHeight : Integer

Used in

TAHMLogWindow

Description

Height of the window.


Readonly Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property Readonly : Boolean

Used in

TAHMLogWindow

Description

If set to true the User can not modify the information in the Logwindow.


LogWindowIcon Property

UNIT

AHMTLogWindow

See also

Types, Records and Events Overview

Declaration

Property LogWindowIcon : TIcon

Used in

TAHMLogWindow

Description

Icon on the Logwindow.


Properties & Events

  CheckGlyph

  ItemGlyph

  MenuItem


Methods

Refresh


TAHMMenuItemGlyph Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMMenuItemGlyph Component

Properties&Events	Methods	Example

UNIT

AHMTMenuItemGlyph

See also

Classes & Components Overview

Declaration

TAHMMenuItemGlyph = Class(TComponent)

Description

Component creates a glyph next to the menuitem.


Refresh Procedure

UNIT

AHMTMenuItemGlyph

Declaration

Procedure Refresh;

Description :

Procedure to refresh the menu.


CheckGlyph Property

UNIT

AHMTMenuItemGlyph

See also

Types, Records and Events Overview

Declaration

Property CheckGlyph: TBitmap

Used in

TAHMMenuItemGlyph

Description

Glyph to display on the menu instead of checkmarks.


ItemGlyph Property

UNIT

AHMTMenuItemGlyph

See also

Types, Records and Events Overview

Declaration

Property ItemGlyph: TBitmap

Used in

TAHMMenuItemGlyph

Description

Glyph to display on the menu for a normal item.


MenuItem Property

UNIT

AHMTMenuItemGlyph

See also

Types, Records and Events Overview

Declaration

Property MenuItem: TMenuItem

Used in

TAHMMenuItemGlyph

Description

Menuitem this glyph will be linked to.


Properties & Events

  Name

  PoBox

  TelephoneNo

  FaxNo

  Street

  Town

  PostalCode

  Special1

  Special2

  Special3


TAHMOwnership Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMOwnership Component

Properties&Events	Example

UNIT

AHMTOwnerShip

See also

Classes & Components Overview

Declaration

TAHMOwnership = Class(TComponent)

Description

Component that keeps track of specific Ownership information.


Name Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property Name : String

Used in

TAHMOwnership

Description

Name of the Owner.


PoBox Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property PoBox : String

Used in

TAHMOwnership

Description

POBox of the owner.


TelephoneNo Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property TelephoneNo : String

Used in

TAHMOwnership

Description

TelephoneNo of the Owner.


FaxNo Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property FaxNo : String

Used in

TAHMOwnership

Description

FaxNo of the Owner.


Street Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property Street : String

Used in

TAHMOwnership

Description

Street where the Owner resides.


Town Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property Town : String

Used in

TAHMOwnership

Description

Town where the owner resides.


PostalCode Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property PostalCode : String

Used in

TAHMOwnership

Description

Postal Code of the place where the owner resides.


Special1 Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property Special1 : String

Used in

TAHMOwnership

Description

Special string to log independent needed information.


Special2 Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property Special2 : String

Used in

TAHMOwnership

Description

Special String to log independent needed information.


Special3 Property

UNIT

AHMTOwnerShip

See also

Types, Records and Events Overview

Declaration

Property Special3 : String

Used in

TAHMOwnership

Description

Special String to log independent needed information.


Properties & Events

  Alignment

  Line1

  Line2

  Line3

  Line4

  Line5

  Line6

  Line7

  Line8

  Line9

  Line10

  InfoboxCaption

  Fonts


Methods

Execute


TAHMQuickInfo Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMQuickInfo Component

Properties&Events	Methods	Example

UNIT

AHMTQuickInfo

See also

Classes & Components Overview

Declaration

TAHMQuickInfo = Class(TComponent)

Description

Component that displays quick and easy information in the dialog.


Execute Function

UNIT

AHMTQuickInfo

Declaration

Function Execute : Boolean;

Description :

Function that calls the dialog.


Alignment Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Alignment : TAlignment

Used in

TAHMQuickInfo

Description

Alignment of the lines on the dialog.


Line1 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line1 : String

Used in

TAHMQuickInfo

Description

First line to be displayed.


Line2 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line2 : String

Used in

TAHMQuickInfo

Description

Second line to be displayed.


Line3 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line3 : String

Used in

TAHMQuickInfo

Description

Third line to be displayed.


Line4 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line4 : String

Used in

TAHMQuickInfo

Description

Fourth line to be displayed.


Line5 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line5 : String

Used in

TAHMQuickInfo

Description

Fifth line to be displayed.


Line6 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line6 : String

Used in

TAHMQuickInfo

Description

Sixth line to be displayed.


Line7 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line7 : String

Used in

TAHMQuickInfo

Description

Seventh line to be displayed.


Line8 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line8 : String

Used in

TAHMQuickInfo

Description

Eights line to be displayed.


Line9 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line9 : String

Used in

TAHMQuickInfo

Description

Ninth line to be displayed.


Line10 Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Line10 : String

Used in

TAHMQuickInfo

Description

Tenth line to be displayed.


InfoboxCaption Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property InfoboxCaption : String

Used in

TAHMQuickInfo

Description

Caption of the Infobox/Dialog.


Fonts Property

UNIT

AHMTQuickInfo

See also

Types, Records and Events Overview

Declaration

Property Fonts : TFont

Used in

TAHMQuickInfo

Description

Fonts on the dialog.


Properties & Events

  Text

  Filename


Methods

Execute

AddFootnote

AddHidden

AddUnder

AddDUnder

AddKeepNext

AddTab

NewPage

AddPlain

AddFont

AddEnter

AddBold

AddColor

AddText


TAHMRTFFile Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMRTFFile Component

Properties&Events	Methods	Example

UNIT

AHMTRTFFile

See also

Classes & Components Overview

Declaration

TAHMRTFFile = Class(TComponent)

Description

Fonts on the dialog.


Execute Function

UNIT

AHMTRTFFile

Declaration

Function Execute : Boolean;

Description :

Executes the write to the richtextfile.


AddFootnote Function

UNIT

AHMTRTFFile

Declaration

Function AddFootnote(XID, XLabel : String):String;

Description :

Adds a footnote to the text. Format : TAHMRTFFile.Text.Add(Function(actualtext));


AddHidden Function

UNIT

AHMTRTFFile

Declaration

Function AddHidden(XLabel : String):String;

Description :

Adds hidden text. Format : TAHMRTFFile.Text.Add(Function(actualtext));


AddUnder Function

UNIT

AHMTRTFFile

Declaration

Function AddUnder(XLabel : String):String;

Description :

Adds underlined text. Format : TAHMRTFFile.Text.Add(Function(actualtext));


AddDUnder Function

UNIT

AHMTRTFFile

Declaration

Function AddDUnder(XLabel : String):String;

Description :

Adds doubleunderlined text. Format : TAHMRTFFile.Text.Add(Function(actualtext));


AddKeepNext Function

UNIT

AHMTRTFFile

Declaration

Function AddKeepNext(XOn : Boolean) : String;

Description :

Enables, Disables Keepnext of the text for the helpfile.


AddTab Function

UNIT

AHMTRTFFile

Declaration

Function AddTab : String;

Description :

Adds tab to the text. Format : TAHMRTFFile.Text.Add(Function);


NewPage Function

UNIT

AHMTRTFFile

Declaration

Function NewPage : String;

Description :

Adds a new page. Format : TAHMRTFFile.Text.Add(Function);


AddPlain Function

UNIT

AHMTRTFFile

Declaration

Function AddPlain : String;

Description :

Changes the textformat to plain. Format : TAHMRTFFile.Text.Add(Function);


AddFont Function

UNIT

AHMTRTFFile

Declaration

Function AddFont(XNum, XSize : Integer):String;

Description :

Changes to a new font for the text. Format : TAHMRTFFile.Text.Add(Function(font,size));


AddEnter Function

UNIT

AHMTRTFFile

Declaration

Function AddEnter:String;

Description :

Adds enter to the text. Format : TAHMRTFFile.Text.Add(Function);


AddBold Function

UNIT

AHMTRTFFile

Declaration

Function AddBold(XOn : Boolean): String;

Description :

Enables, Disables bold text. Format : TAHMRTFFile.Text.Add(Function);


AddColor Function

UNIT

AHMTRTFFile

Declaration

Function AddColor(XOn : Boolean): String;

Description :

Enables, Disables colored text. Format : TAHMRTFFile.Text.Add(Function);


AddText Function

UNIT

AHMTRTFFile

Declaration

Function AddText(XText : String): String;

Description :

Adds text. Format : TAHMRTFFile.Text.Add(Function(text));


Text Property

UNIT

AHMTRTFFile

See also

Types, Records and Events Overview

Declaration

Property Text : TStrings

Used in

TAHMRTFFile

Description

Keeps the richtextfile.


Filename Property

UNIT

AHMTRTFFile

See also

Types, Records and Events Overview

Declaration

Property Filename : String

Used in

TAHMRTFFile

Description

Filename of the richtextfile to be saved to when execute is called.


Properties & Events

  SoundEnabled

  DelayEnabled


Methods

Delay

Sound

NoSound


TAHMSpeakerSound Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMSpeakerSound Component

Properties&Events	Methods	Example

UNIT

AHMTSpeakerSound

See also

Classes & Components Overview

Declaration

TAHMSpeakerSound = Class(TComponent)

Description

Enables the sound to be played through the speaker. TAHMSpeakersound is an interface to the old Turbo Pascal functions not supported by Delphi. This component works in windows 95 only as it accesses assembly functions that are not supported by Windows NT.


Delay Procedure

UNIT

AHMTSpeakerSound

Declaration

Procedure Delay(MSecs: Integer);

Description :

Specifies the amount of time in which to play the current pitch.


Sound Procedure

UNIT

AHMTSpeakerSound

Declaration

Procedure Sound(Freq: Word);

Description :

Specifies the pitch or frequency of the sound.


NoSound Procedure

UNIT

AHMTSpeakerSound

Declaration

Procedure NoSound;

Description :

Switches sound output off.


SoundEnabled Property

UNIT

AHMTSpeakerSound

See also

Types, Records and Events Overview

Declaration

Property SoundEnabled : Boolean

Used in

TAHMSpeakerSound

Description

Overrides the enablement of the sound output.


DelayEnabled Property

UNIT

AHMTSpeakerSound

See also

Types, Records and Events Overview

Declaration

Property DelayEnabled : Boolean

Used in

TAHMSpeakerSound

Description

Overrides the enablement of the delay output.


TAHMWinDBListBox Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMWinDBListBox Component

Example

UNIT

AHMTWinDBListBox

See also

Classes & Components Overview

Declaration

TAHMWinDBListBox = Class(TDBListbox)

Description

Data-aware version of a Listbox that displays in its own window.


TAHMWinListbox Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMWinListbox Component

Example

UNIT

AHMTWinListbox

See also

Classes & Components Overview

Declaration

TAHMWinListbox = Class(TListbox)

Description

Listbox that displays in its own window.


TAHMWinStringGrid Component Example

Example :

Full Examples to the Components are provided in the Installation Directory.


TAHMWinStringGrid Component

Example

UNIT

AHMTWinStringGrid

See also

Classes & Components Overview

Declaration

TAHMWinStringGrid = Class(TStringGrid)

Description

Stringgrid that displays in its own window.